{% extends "layouts/page.html" %} {% load static %} {% block page %}

<div class="max-w-screen-xl mx-auto px-8 py-10">

  {% comment %} MAIN TITLE {% endcomment %}
  <div
    class="bg-gradient-to-r from-transparent via-main/10 px-5 pb-7 pt-6 text-center"
  >
    <h1 class="text-3xl sm:text-4xl font-medium uppercase">Membership</h1>
    <div class="h-1 w-36 bg-main-darken/80 rounded mx-auto my-5"></div>
    <p class="max-w-[50rem] mx-auto text-lg font-medium">
      The Islamic Center of Maneville (ICM) is supported by membership
      dues and financial donations made by the community. If you are not already
      a member of our Center consider joining us today.
    </p>
  </div>

  {% comment %} ACCORDIONS {% endcomment %}
  <div id="accordions" class="grid md:grid-cols-2 gap-10 py-20">
    <div class="accordion [&[aria-expanded=false]_.accordion-content]:grid-rows-[0fr] [&[aria-expanded=true]_.accordion-header-marks_.fa-circle-plus]:opacity-0 [&[aria-expanded=false]_.accordion-header-marks_.fa-circle-minus]:opacity-0" aria-expanded="true">
      <div class="accordion-header bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg overflow-hidden transition duration-500 hover:shadow-card hover:-translate-y-0.5">
        <div data-accord="accordion-header" class="cursor-pointer">
          <div
            class="pointer-events-none flex justify-between items-center px-4 h-14 bg-gradient-to-br from-main/95 to-main-dark text-white text-xl font-medium shadow-lg"
          >
            <h4>Membership Benefits</h4>
            <div class="accordion-header-marks relative h-8 w-8">
              <i class="fa-solid fa-circle-plus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
              <i class="fa-solid fa-circle-minus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
            </div>
          </div>
        </div>
        <div class="accordion-content grid grid-rows-[1fr] transition-all duration-500">
          <div class="overflow-hidden">
            <div class="p-5">
              <h5 class="text-xl indent-2 mb-4 font-medium">
                Membership has many benefits, including:
              </h5>
              <ul class="grid gap-y-5 py-3">
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Islamic Weekend School tuition at a discounted rate.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Rental of the Mirror Hall at a discounted rate.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    Rental of the Gym Hall or multipurpose recreational building at a
                    discounted rate.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Priority registration in sports activities.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Priority purchase of Eid parking passes.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Periodic mailing of newsletters and event flyers.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>General Body meeting.</span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>Voting rights to elect Board of Trustees members.</span>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="accordion [&[aria-expanded=false]_.accordion-content]:grid-rows-[0fr] [&[aria-expanded=true]_.accordion-header-marks_.fa-circle-plus]:opacity-0 [&[aria-expanded=false]_.accordion-header-marks_.fa-circle-minus]:opacity-0" aria-expanded="true">
      <div class="bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg overflow-hidden transition duration-500 hover:shadow-card hover:-translate-y-0.5">
        <div data-accord="accordion-header" class="cursor-pointer">
          <div
            class="pointer-events-none flex justify-between items-center px-4 h-14 bg-gradient-to-br from-main/95 to-main-dark text-white text-xl font-medium shadow-lg"
          >
            <h4>Membership Rules</h4>
            <div class="accordion-header-marks relative h-8 w-8">
              <i class="fa-solid fa-circle-plus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
              <i class="fa-solid fa-circle-minus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
            </div>
          </div>
        </div>
        <div class="accordion-content grid grid-rows-[1fr] transition-all duration-500">
          <div class="overflow-hidden">
            <div class="p-5">
              <h5 class="text-xl indent-2 mb-4 font-medium">
                Following are the membership rules:
              </h5>
              <ul class="grid gap-y-5 py-3">
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    Any Muslim, 18 years or older, can become a member by applying for
                    membership and paying annual dues.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    This membership is valid for one year from the date of application
                    approval. Membership must be renewed every year.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    Membership dues must be paid in advance for a year's membership or
                    be on automatic payment plan.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    Voting rights are available to all members who have completed
                    their paid membership for one year. Members elect part of the
                    Center's executive board.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-check text-lg text-emerald-500 drop-shadow-md"></i>
                  <span>
                    Membership is open only to legal residents of USA (only permanent
                    residents and US Citizens can vote).
                  </span>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="accordion [&[aria-expanded=false]_.accordion-content]:grid-rows-[0fr] [&[aria-expanded=true]_.accordion-header-marks_.fa-circle-plus]:opacity-0 [&[aria-expanded=false]_.accordion-header-marks_.fa-circle-minus]:opacity-0" aria-expanded="true">
      <div class="bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg overflow-hidden transition duration-500 hover:shadow-card hover:-translate-y-0.5">
        <div data-accord="accordion-header" class="cursor-pointer">
          <div
            class="pointer-events-none flex justify-between items-center px-4 h-14 bg-gradient-to-br from-main/95 to-main-dark text-white text-xl font-medium shadow-lg"
          >
            <h4>Membership Fees</h4>
            <div class="accordion-header-marks relative h-8 w-8">
              <i class="fa-solid fa-circle-plus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
              <i class="fa-solid fa-circle-minus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
            </div>
          </div>
        </div>
        <div class="accordion-content grid grid-rows-[1fr] transition-all duration-500">
          <div class="overflow-hidden">
            <div class="p-5">
              <ul class="grid gap-y-5 py-3">
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-dot text-lg text-main-dark drop-shadow-md"></i>
                  <span>
                    <strong>Platinum $750.00</strong>
                    <br />
                    <span> Automatic Deduction ($65/month)</span>
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-dot text-lg text-main-dark drop-shadow-md"></i>
                  <span>
                    <strong>Gold $500.00</strong>
                    <br />
                    <span> Automatic Deduction ($45/month)</span>
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-dot text-lg text-main-dark drop-shadow-md"></i>
                  <span>
                    <strong>Silver $250.00 </strong>
                    <br />
                    <span> Automatic Deduction ($25/month)</span>
                  </span>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="accordion [&[aria-expanded=false]_.accordion-content]:grid-rows-[0fr] [&[aria-expanded=true]_.accordion-header-marks_.fa-circle-plus]:opacity-0 [&[aria-expanded=false]_.accordion-header-marks_.fa-circle-minus]:opacity-0" aria-expanded="true">
      <div class="bg-gradient-to-br from-white to-main-white rounded-lg shadow-lg overflow-hidden transition duration-500 hover:shadow-card hover:-translate-y-0.5">
        <div data-accord="accordion-header" class="cursor-pointer">
          <div
            class="pointer-events-none flex justify-between items-center px-4 h-14 bg-gradient-to-br from-main/95 to-main-dark text-white text-xl font-medium shadow-lg"
          >
            <h4>Payment Method</h4>
            <div class="accordion-header-marks relative h-8 w-8">
              <i class="fa-solid fa-circle-plus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
              <i class="fa-solid fa-circle-minus absolute right-1/2 bottom-1/2 translate-x-1/2 translate-y-1/2 transition-opacity duration-300"></i>
            </div>
          </div>
        </div>
        <div class="accordion-content grid grid-rows-[1fr] transition-all duration-500">
          <div class="overflow-hidden">
            <div class="p-5">
              <h5 class="text-xl indent-2 mb-4 font-medium">
                Membership fee may be paid all at one time or in monthly installments.
                ICM accepts checks, credit cards, and automatic deductions. Note the
                following:
              </h5>
              <ul class="grid gap-y-5 py-3">
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-dot text-lg text-main-dark drop-shadow-md"></i>
                  <span>
                    If writing a check, make it payable to
                    <strong>Islamic Educational Council</strong>.
                  </span>
                </li>
                <li class="flex gap-2.5 items-baseline">
                  <i class="fa-solid fa-circle-dot text-lg text-main-dark drop-shadow-md"></i>
                  <span>
                    If using automatic withdrawal, submit a void check to the
                    <strong>ICM</strong> to authorize payment.
                  </span>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  {% comment %} BECOME A MEMBER LINK {% endcomment %}
  <div class="grid place-content-center">
    <a
      href="https://secure-api.net/give/v3/icmoh"
      target="_blank"
      class="inline-flex items-center gap-2.5 h-14 px-10 text-xl text-white rounded-md shadow-lg transition duration-500 whitespace-nowrap font-medium bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl hover:shadow-card hover:scale-105"
      role="button"
    >
    {% comment %}  {% endcomment %}
      <span>{{_("Become a Member")}}</span>
      <i class="fa-solid fa-chevron-right"></i>
    </a>
  </div>
</div>

<script>
  document.addEventListener("DOMContentLoaded", () => {
    document.getElementById("accordions").addEventListener("click", (e) => {
      const target = e.target.getAttribute("data-accord");
      
      if (target != "accordion-header") return

      const accordion = e.target.closest(".accordion")
      const accordionIsExpanded = accordion.getAttribute("aria-expanded");
  
      if (accordionIsExpanded === "true")
        accordion.setAttribute("aria-expanded", false);
      else accordion.setAttribute("aria-expanded", true);
    });
  });
</script>

{% endblock page %}
